org.apache.calcite.avatica.remote

## Class KerberosConnection.KeytabJaasConf

- java.lang.Object
- - javax.security.auth.login.Configuration
  - - org.apache.calcite.avatica.remote.KerberosConnection.KeytabJaasConf

Enclosing class:
  KerberosConnection

    static class KerberosConnection.KeytabJaasConf
    extends Configuration

Javax Configuration for performing a keytab-based Kerberos login.

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.security.auth.login.Configuration

`Configuration.Parameters`

### Field Summary

Fields
`private File` `keytabFile`
`private String` `principal`

### Constructor Summary

Constructors
Constructor and Description
`KeytabJaasConf(String principal, File keytab)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AppConfigurationEntry[]` `getAppConfigurationEntry(String name)`

### Methods inherited from class javax.security.auth.login.Configuration

`getConfiguration, getInstance, getInstance, getInstance, getParameters, getProvider, getType, refresh, setConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### principal

    private String principal

#### keytabFile

    private File keytabFile

### Constructor Detail

#### KeytabJaasConf

    KeytabJaasConf(String principal,
                   File keytab)

### Method Detail

#### getAppConfigurationEntry

    public AppConfigurationEntry[] getAppConfigurationEntry(String name)

Specified by:
  `getAppConfigurationEntry` in class `Configuration`